%define upstream_name    bareword-filehandles
%define upstream_version 0.003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 17

Summary:    Disables bareword filehandles
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/bareword/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::OP::Check)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(Lexical::SealRequireHints)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel

Provides: perl(bareword::filehandles)

%description
This module lexically disables the use of bareword filehandles with builtin
functions, except for the special builitin filehandles 'STDIN', 'STDOUT',
'STDERR', 'ARGV', 'ARGVOUT' and 'DATA'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.3.0-17.mga6
+ Revision: 1022688
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.3.0-16.mga6
+ Revision: 956738
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 tv <tv> 0.3.0-15.mga6
+ Revision: 846050
- rebuild for soname-ifed perl

* Fri Jun 26 2015 tv <tv> 0.3.0-14.mga6
+ Revision: 844737
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.3.0-13.mga6
+ Revision: 840807
- Rebuild for perl 5.22

  + shlomif <shlomif>
    - Rebuild for new perl

* Sun Oct 19 2014 umeabot <umeabot> 0.3.0-11.mga5
+ Revision: 790022
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-10.mga5
+ Revision: 742030
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-9.mga5
+ Revision: 687015
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.3.0-8.mga5
+ Revision: 632355
- perl 5.20.0 rebuild

* Tue Feb 25 2014 jquelin <jquelin> 0.3.0-7.mga5
+ Revision: 597039
- typo in manual provides

* Tue Feb 25 2014 jquelin <jquelin> 0.3.0-6.mga5
+ Revision: 597010
- perl 5.18.2 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.3.0-5.mga4
+ Revision: 525087
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.3.0-4.mga4
+ Revision: 431844
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-3.mga3
+ Revision: 375376
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 jquelin <jquelin> 0.3.0-2.mga3
+ Revision: 308849
- adding missing provides

* Sun Aug 05 2012 shlomif <shlomif> 0.3.0-1.mga3
+ Revision: 278686
- Add missing BR
- imported package perl-bareword-filehandles


* Sun Aug 05 2012 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
